Package javax.servlet.http

## Interface HttpSessionBindingListener

All Superinterfaces:
  `java.util.EventListener`

    public interface HttpSessionBindingListener
    extends java.util.EventListener

Causes an object to be notified when it is bound to or unbound from a session. The object is notified by an `HttpSessionBindingEvent` object. This may be as a result of a servlet programmer explicitly unbinding an attribute from a session, due to a session being invalidated, or due to a session timing out.

See Also:
  `HttpSession`, `HttpSessionBindingEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `valueBound​(HttpSessionBindingEvent event)` Notifies the object that it is being bound to a session and identifies the session.
`void` `valueUnbound​(HttpSessionBindingEvent event)` Notifies the object that it is being unbound from a session and identifies the session.

### Method Detail

#### valueBound

    void valueBound​(HttpSessionBindingEvent event)

Notifies the object that it is being bound to a session and identifies the session.

Parameters:
  `event` - the event that identifies the session
See Also:
  `valueUnbound(javax.servlet.http.HttpSessionBindingEvent)`

#### valueUnbound

    void valueUnbound​(HttpSessionBindingEvent event)

Notifies the object that it is being unbound from a session and identifies the session.

Parameters:
  `event` - the event that identifies the session
See Also:
  `valueBound(javax.servlet.http.HttpSessionBindingEvent)`